Bug 1709837 (CVE-2019-11884) - CVE-2019-11884 kernel: sensitive information disclosure from kernel stack memory via HIDPCONNADD command
Summary: CVE-2019-11884 kernel: sensitive information disclosure from kernel stack mem...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11884
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1709838 1723651 1723652 1723653 1723654 1723655 1723657
Blocks: 1709839
TreeView+ depends on / blocked
 
Reported: 2019-05-14 11:58 UTC by Dhananjay Arunesh
Modified: 2020-03-31 19:20 UTC (History)
43 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel's implementation of the Bluetooth Human Interface Device Protocol (HIDP). A local attacker with access permissions to the Bluetooth device can issue an IOCTL which will trigger the do_hidp_sock_ioctl function in net/bluetooth/hidp/sock.c.c. This function can leak potentially sensitive information from the kernel stack memory via a HIDPCONNADD command because a name field may not be correctly NULL terminated.
Clone Of:
Environment:
Last Closed: 2019-11-06 00:52:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3309 None None None 2019-11-05 20:35:28 UTC
Red Hat Product Errata RHSA-2019:3517 None None None 2019-11-05 21:06:10 UTC
Red Hat Product Errata RHSA-2020:0740 None None None 2020-03-09 14:31:50 UTC
Red Hat Product Errata RHSA-2020:1016 None None None 2020-03-31 19:11:36 UTC
Red Hat Product Errata RHSA-2020:1070 None None None 2020-03-31 19:20:41 UTC

Description Dhananjay Arunesh 2019-05-14 11:58:36 UTC
A flaw was found in the kernels implementation of the bluetooth HIDP (Human Interface Device Protocol).  A local attacker with access permissions to the bluetooth device can issue an IOCTL which will trigger the do_hidp_sock_ioctl function in net/bluetooth/hidp/sock.c.c.  This function can potentially leak potentially sensitive information from kernel stack memory via a HIDPCONNADD command, because a name field may not correctly NULL terminated.

Reference:
https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.0.15

Upstream commit:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=a1616a5ac99ede5d605047a9012481ce7ff18b16
https://github.com/torvalds/linux/commit/a1616a5ac99ede5d605047a9012481ce7ff18b16

Comment 1 Dhananjay Arunesh 2019-05-14 11:58:55 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1709838]

Comment 4 Wade Mealing 2019-06-25 05:31:05 UTC
This flaw is rated as a Moderate as it requires the local attacker to have permissions to the bluetooth devices and also is an infoleak with no privilege escalation known at this time.

Comment 7 errata-xmlrpc 2019-11-05 20:35:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3309 https://access.redhat.com/errata/RHSA-2019:3309

Comment 8 errata-xmlrpc 2019-11-05 21:06:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3517 https://access.redhat.com/errata/RHSA-2019:3517

Comment 9 Product Security DevOps Team 2019-11-06 00:52:40 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11884

Comment 10 errata-xmlrpc 2020-03-09 14:31:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0740 https://access.redhat.com/errata/RHSA-2020:0740

Comment 11 errata-xmlrpc 2020-03-31 19:11:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1016 https://access.redhat.com/errata/RHSA-2020:1016

Comment 12 errata-xmlrpc 2020-03-31 19:20:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1070 https://access.redhat.com/errata/RHSA-2020:1070


Note You need to log in before you can comment on or make changes to this bug.